# Python学习笔记

## 一. 基本输入输出
1. print()

    用print()在括号中加上字符串，就可以向屏幕上输出指定的文字。比如输出'hello, world'，用代码实现如下：
    > print('hello, world') 

    print()函数也可以接受多个字符串，用逗号“,”隔开，就可以连成一串输出：
    ```
    print('The quick brown fox', 'jumps over', 'the lazy dog')
    The quick brown fox jumps over the lazy dog
    ```
    print()会依次打印每个字符串，遇到逗号“,”会输出一个空格.

    当需要输出双引号或单引号时可交叉使用，比如
    >print('This is my name:"Terry".')

    当需要输出特殊字符的时候使用'\'加在前面，也可以前后加入使用'''来进行多行输出.例如：
    ```
    print(''' The '\\n' means 
    go to 
    a new line.''')

    >The '\n' means 
    go to 
    a new line.
    ```

2. input()
    如果要让用户从电脑输入一些字符怎么办？Python提供了一个input()，可以让用户输入字符串，并存放到一个变量里。比如输入用户的名字：
    > name = input()
      
    Michael   

    但是程序运行的时候，没有任何提示信息告诉用户：“嘿，赶紧输入你的名字”，这样显得很不友好。幸好，input()可以让你显示一个字符串来提示用户，于是我们把代码改成：
    ```
        name = input('please enter your name: ')
        print('hello,', name)
    ```

## 二.基础知识
1. 数据类型和变量
   
   1.1 整数

    Python可以处理任意大小的整数，当然包括负整数，在程序中的表示方法和数学上的写法一模一样，例如：1，100，-8080，0，等等。

    计算机由于使用二进制，所以，有时候用十六进制表示整数比较方便，十六进制用0x前缀和0-9，a-f表示，例如：0xff00，0xa5b4c3d2，等等。

    **对于很大的数，例如10000000000，很难数清楚0的个数。Python允许在数字中间以_分隔，因此，写成10_000_000_000和10000000000是完全一样的。十六进制数也可以写成0xa1b2_c3d4。**

   1.2 浮点数

    浮点数也就是小数，之所以称为浮点数，是因为按照科学记数法表示时，一个浮点数的小数点位置是可变的，比如，1.23x109和12.3x108是完全相等的。浮点数可以用数学写法，如1.23，3.14，-9.01，等等。但是对于很大或很小的浮点数，就必须用科学计数法表示，把10用e替代，1.23x109就是1.23e9，或者12.3e8，0.000012可以写成1.2e-5，等等。

   1.3 字符串

    字符串是以单引号'或双引号"括起来的任意文本，比如'abc'，"xyz"等等。请注意，''或""本身只是一种表示方式，不是字符串的一部分，因此，字符串'abc'只有a，b，c这3个字符。如果'本身也是一个字符，那就可以用""括起来，比如"I'm OK"包含的字符是I，'，m，空格，O，K这6个字符。

    如果字符串内部既包含'又包含"怎么办？可以用转义字符\来标识，比如：
    >'I\'m \"OK\"!'

    表示的字符串内容是：
    >I'm "OK"!

    


   1.4 



